Package com.avaya.clientservices.user

## Class LocalContactConfiguration

- java.lang.Object
- - com.avaya.clientservices.user.LocalContactConfiguration

-     public class LocalContactConfiguration
      extends java.lang.Object

  This class provides the User configuration data that connects user and local contacts

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LocalContactConfiguration()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getContactMatchingMinDigits()` | Get the minimum number of digits to be used for local contact matching.
    `boolean` | `isEnabled()` | Boolean value indicating whether the local device provider is enabled.
    `void` | `setContactMatchingMinDigits​(int contactMatchingMinDigits)` | Set the minimum number of digits to be used for local contact matching.
    `void` | `setEnabled​(boolean enabled)` | Set the Boolean value indicating whether the local device provider is enabled.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LocalContactConfiguration

          public LocalContactConfiguration()

  - ### Method Detail

    - #### isEnabled

          public boolean isEnabled()

      Boolean value indicating whether the local device provider is enabled.
      Returns:
        true if local device contacts can be used

    - #### setEnabled

          public void setEnabled​(boolean enabled)

      Set the Boolean value indicating whether the local device provider is enabled.
      Parameters:
        `enabled` - true if local device contacts can be used

    - #### getContactMatchingMinDigits

          public int getContactMatchingMinDigits()

      Get the minimum number of digits to be used for local contact matching. The default value is 10. If the number of digits in the received phone number is less than or equal to the configured value, then only a contact with a phone number that exactly matches the received phone number will be matched. Otherwise, contact matching will be based on the right-most 'N' digits of contact's phone number where 'N' is the configured value.
      Returns:
        int value.

    - #### setContactMatchingMinDigits

          public void setContactMatchingMinDigits​(int contactMatchingMinDigits)

      Set the minimum number of digits to be used for local contact matching. The default value is 10. If the number of digits in the received phone number is less than or equal to the configured value, then only a contact with a phone number that exactly matches the received phone number will be matched. Otherwise, contact matching will be based on the right-most 'N' digits of contact's phone number where 'N' is the configured value.
      Parameters:
        `contactMatchingMinDigits` - contact matching minimum digits.